Bug 1411535 - Parameter 'CephStorageCount' was not found in existing stack when using composable roles
Summary: Parameter 'CephStorageCount' was not found in existing stack when using compo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: RHOS Maint
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1391230
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 22:37 UTC by Marius Cornea
Modified: 2017-05-17 19:55 UTC (History)
13 users (show)

Fixed In Version: python-tripleoclient-5.7.1-0.20170106114513.9578dfa.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1391230
Environment:
Last Closed: 2017-05-17 19:55:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 393855 None None None 2017-01-09 22:37:54 UTC
Launchpad 1637204 None None None 2017-01-09 22:37:54 UTC

Comment 1 Marius Cornea 2017-01-09 22:40:04 UTC
I hit the same issue on a deployment which doesn't contain block storage nodes. On a stack update: 

Parameter 'BlockStorageCount' was not found in existing stack

python-tripleoclient-6.0.0-0.20161028122504.95bbccf.el7ost.noarch

Comment 2 Alex Schultz 2017-01-10 18:09:33 UTC
The package version you're using is older (October 28, 2016) than the fix for the original bug (Nov 4, 2016).  Are you reporting this is still an issue for 10 or are you reporting it as a new problem for 11? If it's the latter, you should verify it with a newer python-tripleoclient package version since the one you have doesn't include the fix for the original bug.

Comment 3 Marius Cornea 2017-01-10 18:19:27 UTC
(In reply to Alex Schultz from comment #2)
> The package version you're using is older (October 28, 2016) than the fix
> for the original bug (Nov 4, 2016).  Are you reporting this is still an
> issue for 10 or are you reporting it as a new problem for 11? If it's the
> latter, you should verify it with a newer python-tripleoclient package
> version since the one you have doesn't include the fix for the original bug.

This issue is present in the latest OSP11 build. I'm using the puddle built on 07 Jan. I think we need an updated python-tripleoclient package in the next build, currently I see only python-tripleoclient-6.0.0-0.20161028122504.95bbccf.el7ost has been built.

Comment 11 errata-xmlrpc 2017-05-17 19:55:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.